/**********************************************************
***********************************************************
*               European Southern Observatory
*          VLTI MIDI Maintenance Templates Software
*
* Module name:  fitsAnalysisTec.h
* Description:  
*
*
* History:      
* 14-Jun-02     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _FITS_ANALYSIS_TEC_H
#define _FITS_ANALYSIS_TEC_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Enumeration definitions
**********************************************************/

/**********************************************************
*   Type definitions 
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void analyseFitsDetLin (
    MidiFiles   *fileNames,
    ImageFormat *format,
    int			*numOfFiles,
    int			*error);

void analyseFitsDetRon (
    MidiFiles   *fileNames,
    ImageFormat *format,
    int			*numOfFiles,
    int			*error);

void analyseFitsDspTrn (
    MidiFiles   *fileNames,
    ImageFormat *format,
    int			*numOfFiles,
    int			*error);

 void analyseFitsRefPix (
    MidiFiles   *fileNames,
    ImageFormat *format,
    int			*numOfFiles,
    int			*numOfBeams,
    int			*error);

void analyseFitsWaveCal (
    MidiFiles   *fileNames,
    ImageFormat *format,
    int			*numOfFiles,
    int			*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

