/**********************************************************
***********************************************************
*               European Southern Observatory
*          VLTI MIDI Maintenance Templates Software
*
* Module name:  fitsAnalysisKappa.h
* Description:  
*
*
* History:      
* 05-Dec-05     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _FITS_ANALYSIS_KAPPA_H
#define _FITS_ANALYSIS_KAPPA_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Enumeration definitions
**********************************************************/

/**********************************************************
*   Type definitions 
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void analyseFitsKappa (
    MidiFiles	*fileNames,
    ImageFormat	*formatInterfA,
    ImageFormat	*formatInterfB,
    ImageFormat	*formatPhotomA,
    ImageFormat	*formatPhotomB,
    int			*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

